## hamonikr-site-compatibility

하모니카 4.0 에서 공인인증서를 사용하는 서비스(은행, 공공기관)를 이용하기 위한 패키지입니다.  
이 프로그램은 메타 패키지이며 다음 패키지에 의존성을 가지고 있습니다.

 * Package: ahnlab-safe-transaction
 * Package: anysign4pc
 * Package: delfino-g3
 * Package: veraport-g3
 * Package: crosswebex
 * Package: ipinside-lws
 * Package: nprotect-online-security

해당 패키지는 각 은행사이트에서 가장 호환성이 좋은 패키지들을 선정하고 일부 버그를 수정하여 제작되었습니다.

## Install / Delete

하모니카 사이트 호환성 패키지를 설치하는 방법은 다음과 같습니다.  
먼저 하모니카 저장소를 추가해야 합니다.  
다음의 명령을 터미널에서 실행해서 하모니카 저장소를 추가해주세요.  
```
curl -sL https://pkg.hamonikr.org/add-hamonikr-jin.apt | sudo -E bash -
 
또는
 
wget -qO- https://pkg.hamonikr.org/add-hamonikr-jin.apt | sudo -E bash 
```

저장소가 추가되었으면 사이트 호환성 패키지를 설치하면 됩니다.  
다음 명령어를 터미널에서 입력하세요.
```
sudo apt install -y hamonikr-site-compatibility
```

패키지를 제거하는 방법입니다.
```
sudo apt purge -y hamonikr-site-compatibility
```

## Usage
하모니카 4.0에서 (구)공인인증서 창이 뜨고 USB를 사용할 수 있는지 확인하였습니다.  
확인한 은행은 다음과 같습니다.

 * 국민은행
 * 신한은행
 * 기업은행
 * 우리은행
 * 농협은행
 * 하나은행
 * 수협은행

설치 후 홈 폴더에서 GPKI 폴더와 NPKI 폴더는 데스크톱에서 공인인증서를 사용하기 위해 놓는 위치입니다.  
해당 폴더 안에 공인인증서를 USB에서 구성된 것과 같이 복사해주면 이용 가능합니다.  

![image1](./docs/site-compatibility-01.png)

실수로 해당 폴더를 지울 경우 다음 파일을 삭제 한 후 재부팅하면 다시 생성됩니다.
```
홈 폴더에서 마우스 우클릭 하여 숨김 파일 폴더 보기를 합니다.

.hamonikr 폴더를 찾아서 들어갑니다.

site-compatibility-support.done 파일을 삭제합니다.

또는

터미널을 엽니다. (Ctri + Alt + T)

rm ~/.config/site-compatibility-support.done
```
![image1](./docs/site-compatibility-02.png)


## Issue

https://github.com/hamonikr/hamonikr-site-compatibility